diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 5304ddf..2a56392 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -1215,6 +1215,51 @@ all: rootdirs noweb srcsetup lspdir srcdir
 <<clean>>
 
 @
+<<Makefile.slackware>>=
+# System dependent Makefile for the Intel/Slackware platform
+# Platform variable
+PLF=LINUXplatform
+# C compiler flags
+CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
+# Loader flags, use the shared version of libXpm
+LDF=" -L/usr/lib -lXpm "
+# C compiler to use
+CC=gcc 
+AWK=gawk
+RANLIB=ranlib
+TOUCH=touch
+TAR=tar
+AXIOMXLROOT=${AXIOM}/compiler
+O=o
+BYE=bye
+LISP=lsp
+DAASE=${SRC}/share
+# where the libXpm.a library lives
+XLIB=/usr/lib
+<<GCLOPTS-LOCBFD>>
+<<SRCDIRS>>
+PATCH=patch
+
+ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
+    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
+    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.slackware called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
 \subsection{Makefile.linux}
 Annoyingly enough it seems that GCL uses a default extension of .lsp
 rather than .lisp so we add the [[LISP]] variable here. We need to
diff --git a/changelog b/changelog
index 3d30a6b..5ffeca9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090414 tpd src/axiom-website/patches.html 20090414.04.tpd.patch
+20090414 tpd Makefile add Makefile.slackware chunk
 20090414 tpd src/axiom-website/patches.html 20090414.03.tpd.patch
 20090414 tpd readme add Michael Becker
 20090414 tpd books/bookvol5 add Michael Becker
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 49ac879..b6869fc 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1080,5 +1080,7 @@ src/scripts/Makefile fix 7192, add SPADEDIT for )edit<br/>
 src/scripts/SPADEDIT fix 7192, add SPADEDIT for )edit<br/>
 <a href="patches/20090414.03.tpd.patch">20090414.03.tpd.patch</a>
 readme add Michael Becker<br/>
+<a href="patches/20090414.04.tpd.patch">20090414.04.tpd.patch</a>
+Makefile add Makefile.slackware chunk<br/>
  </body>
 </html>
